## python-manilaclient 1.21.0

=== requirements.txt ===
# The order of packages is significant, because pip processes them in the order
# of appearance. Changing the order has an impact on the overall integration
# process, which may cause wedges in the gate later.

# pbr should be first
pbr!=2.1.0,>=2.0.0 # Apache-2.0

ipaddress>=1.0.16;python_version<'3.3' # PSF
oslo.config>=5.1.0 # Apache-2.0
oslo.log>=3.30.0 # Apache-2.0
oslo.serialization!=2.19.1,>=2.18.0 # Apache-2.0
oslo.utils>=3.33.0 # Apache-2.0
PrettyTable<0.8,>=0.7.1 # BSD
requests>=2.14.2 # Apache-2.0
simplejson>=3.5.1 # MIT
Babel!=2.4.0,>=2.3.4 # BSD
six>=1.10.0 # MIT
python-keystoneclient>=3.8.0 # Apache-2.0
debtcollector>=1.2.0 # Apache-2.0

=== debian/changelog ===
python-manilaclient (1.21.0-0ubuntu1) bionic; urgency=medium

  * New upstream release.

 -- Corey Bryant <corey.bryant@canonical.com>  Mon, 12 Feb 2018 09:28:28 -0500

python-manilaclient (1.20.0-0ubuntu1) bionic; urgency=medium

  * New upstream release.
  * d/*: wrap-and-sort -bast.
  * d/control: Align (Build-)Depends with upstream.
  * d/control: Update Standards-Version to 4.1.2.
  * d/control: Bump debhelper compat to 10.

 -- Corey Bryant <corey.bryant@canonical.com>  Wed, 24 Jan 2018 15:24:21 -0500

python-manilaclient (1.18.0-0ubuntu1) bionic; urgency=medium

  * New upstream release.
  * d/control: Align (Build-)Depends with upstream.
  * d/p/drop-openstackdoctheme.patch: Dropped. No longer needed.

 -- Corey Bryant <corey.bryant@canonical.com>  Mon, 13 Nov 2017 13:49:16 -0500

=== debian/control ===
Source: python-manilaclient
Section: python
Priority: extra
Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
XSBC-Original-Maintainer: PKG OpenStack <openstack-devel@lists.alioth.debian.org>
Uploaders:
 Thomas Goirand <zigo@debian.org>,
 David Della Vecchia <ddv@canonical.com>,
 Corey Bryant <corey.bryant@canonical.com>,
Build-Depends:
 debhelper (>= 10),
 dh-python,
 openstack-pkg-tools (>= 52~),
 python-all,
 python-pbr (>= 2.0.0),
 python-setuptools,
 python-sphinx (>= 1.6.2),
 python3-all,
 python3-pbr (>= 2.0.0),
 python3-setuptools,
 python3-sphinx (>= 1.6.2),
Build-Depends-Indep:
 python-babel (>= 2.3.4),
 python-coverage (>= 4.0),
 python-ddt (>= 1.0.1),
 python-debtcollector (>= 1.2.0),
 python-fixtures (>= 3.0.0),
 python-hacking (>= 0.12.0),
 python-ipaddress (>= 1.0.16),
 python-keystoneclient (>= 1:3.8.0),
 python-mock (>= 2.0.0),
 python-openstackclient (>= 3.12.0),
 python-openstackdocstheme (>= 1.17.0),
 python-oslo.config (>= 1:5.1.0),
 python-oslo.log (>= 3.30.0),
 python-oslo.serialization (>= 2.18.0),
 python-oslo.utils (>= 3.33.0),
 python-oslotest (>= 1:1.10.0),
 python-prettytable (>= 0.7.1),
 python-requests (>= 2.14.2),
 python-simplejson (>= 3.5.1),
 python-six (>= 1.10.0),
 python-tempest (>= 1:17.1.0),
 python-testrepository (>= 0.0.18),
 python-testtools (>= 2.2.0),
 python3-babel (>= 2.3.4),
 python3-coverage (>= 4.0),
 python3-ddt (>= 1.0.1),
 python3-debtcollector (>= 1.2.0),
 python3-fixtures (>= 3.0.0),
 python3-hacking (>= 0.12.0),
 python3-keystoneclient (>= 1:3.8.0),
 python3-mock (>= 2.0.0),
 python3-openstackclient (>= 3.12.0),
 python3-openstackdocstheme (>= 1.17.0),
 python3-oslo.config (>= 1:5.1.0),
 python3-oslo.log (>= 3.30.0),
 python3-oslo.serialization (>= 2.18.0),
 python3-oslo.utils (>= 3.33.0),
 python3-oslotest (>= 1:1.10.0),
 python3-prettytable (>= 0.7.1),
 python3-requests (>= 2.14.2),
 python3-simplejson (>= 3.5.1),
 python3-six (>= 1.10.0),
 python3-subunit,
 python3-tempest (>= 1:17.1.0),
 python3-testrepository (>= 0.0.18),
 python3-testtools (>= 2.2.0),
 subunit,
 testrepository,
Standards-Version: 4.1.2
Vcs-Git: git://git.launchpad.net/~ubuntu-server-dev/ubuntu/+source/python-manilaclient
Vcs-Browser: https://git.launchpad.net/~ubuntu-server-dev/ubuntu/+source/python-manilaclient
Homepage: https://github.com/openstack/python-manilaclient

Package: python-manilaclient
Architecture: all
Depends:
 python-babel (>= 2.3.4),
 python-debtcollector (>= 1.2.0),
 python-ipaddress (>= 1.0.16),
 python-keystoneclient (>= 1:3.8.0),
 python-oslo.config (>= 1:5.1.0),
 python-oslo.log (>= 3.30.0),
 python-oslo.serialization (>= 2.18.0),
 python-oslo.utils (>= 3.33.0),
 python-pbr (>= 2.0.0),
 python-prettytable (>= 0.7.1),
 python-requests (>= 2.14.2),
 python-simplejson (>= 3.5.1),
 python-six (>= 1.10.0),
 ${misc:Depends},
 ${python:Depends},
Recommends:
 python-manilaclient-doc,
Description: OpenStack shared file system as a service - Python 2.7 client
 Manila is an OpenStack project to provide Shared Filesystems as a service.
 It provides coordinated access to shared or distributed file systems. While
 the primary consumption of file shares would be across OpenStack Compute
 instances, the service is also intended to be accessible as an independent
 capability in line with the modular design established by other OpenStack
 services. Manila is extensible for multiple backends (to support vendor or
 file system specific nuances / capabilities) and accommodates any of a
 variety of shared or distributed file system types.
 .
 This package contains the Python client library and command line tool for
 Manila and for Python 2.7.

Package: python-manilaclient-doc
Section: doc
Architecture: all
Depends:
 ${misc:Depends},
 ${sphinxdoc:Depends},
Description: OpenStack shared file system as a service - client doc
 Manila is an OpenStack project to provide Shared Filesystems as a service.
 It provides coordinated access to shared or distributed file systems. While
 the primary consumption of file shares would be across OpenStack Compute
 instances, the service is also intended to be accessible as an independent
 capability in line with the modular design established by other OpenStack
 services. Manila is extensible for multiple backends (to support vendor or
 file system specific nuances / capabilities) and accommodates any of a
 variety of shared or distributed file system types.
 .
 This package contains the Python client library and command line tool
 documentation.

Package: python3-manilaclient
Architecture: all
Depends:
 python3-babel (>= 2.3.4),
 python3-debtcollector (>= 1.2.0),
 python3-keystoneclient (>= 1:3.8.0),
 python3-oslo.config (>= 1:5.1.0),
 python3-oslo.log (>= 3.30.0),
 python3-oslo.serialization (>= 2.18.0),
 python3-oslo.utils (>= 3.33.0),
 python3-pbr (>= 2.0.0),
 python3-prettytable (>= 0.7.1),
 python3-requests (>= 2.14.2),
 python3-simplejson (>= 3.5.1),
 python3-six (>= 1.10.0),
 ${misc:Depends},
 ${python3:Depends},
Recommends:
 python-manilaclient-doc,
Description: OpenStack shared file system as a service - Python 3.x client
 Manila is an OpenStack project to provide Shared Filesystems as a service.
 It provides coordinated access to shared or distributed file systems. While
 the primary consumption of file shares would be across OpenStack Compute
 instances, the service is also intended to be accessible as an independent
 capability in line with the modular design established by other OpenStack
 services. Manila is extensible for multiple backends (to support vendor or
 file system specific nuances / capabilities) and accommodates any of a
 variety of shared or distributed file system types.
 .
 This package contains the Python client library and command line tool for
 Manila and for Python 3.x.

=== debian/rules ===
#!/usr/bin/make -f

include /usr/share/openstack-pkg-tools/pkgos.make

%:
	dh $@ --buildsystem=python_distutils --with python2,python3,sphinxdoc

override_dh_auto_install:
	pkgos-dh_auto_install
	install -D -m 0644 tools/manila.bash_completion $(CURDIR)/debian/python-manilaclient-doc/usr/share/bash-completion/completions/manila.bash_completion

override_dh_python3:
	dh_python3 --shebang=/usr/bin/python3

override_dh_auto_test:
ifeq (,$(findstring nocheck, $(DEB_BUILD_OPTIONS)))
	pkgos-dh_auto_test
endif

override_dh_auto_clean:
	rm -rf build doc/man .testrepository

override_dh_sphinxdoc:
ifeq (,$(findstring nodocs, $(DEB_BUILD_OPTIONS)))
	sphinx-build -b html doc/source $(CURDIR)/debian/python-manilaclient-doc/usr/share/doc/python-manilaclient-doc/html
	dh_sphinxdoc -O--buildsystem=python_distutils
endif

override_dh_installman:
ifeq (,$(findstring nodocs, $(DEB_BUILD_OPTIONS)))
	sphinx-build -b man doc/source/ doc/man
	dh_installman -O--buildsystem=python_distutils
endif

# Commands not to run
override_dh_installcatalogs:
override_dh_installemacsen override_dh_installifupdown:
override_dh_installinfo override_dh_installmenu override_dh_installmime:
override_dh_installmodules override_dh_installlogcheck:
override_dh_installpam override_dh_installppp override_dh_installudev override_dh_installwm:
override_dh_installxfonts override_dh_gconf override_dh_icons override_dh_perl override_dh_usrlocal:
override_dh_installcron override_dh_installdebconf:
override_dh_installlogrotate override_dh_installgsettings:

## python-manilaclient 1.24.1

=== requirements.txt ===
--- 
+++ 
@@ -5,9 +5,9 @@
 # pbr should be first
 pbr!=2.1.0,>=2.0.0 # Apache-2.0
 
-ipaddress>=1.0.16;python_version<'3.3' # PSF
-oslo.config>=5.1.0 # Apache-2.0
-oslo.log>=3.30.0 # Apache-2.0
+ipaddress>=1.0.17;python_version<'3.3' # PSF
+oslo.config>=5.2.0 # Apache-2.0
+oslo.log>=3.36.0 # Apache-2.0
 oslo.serialization!=2.19.1,>=2.18.0 # Apache-2.0
 oslo.utils>=3.33.0 # Apache-2.0
 PrettyTable<0.8,>=0.7.1 # BSD
@@ -17,3 +17,4 @@
 six>=1.10.0 # MIT
 python-keystoneclient>=3.8.0 # Apache-2.0
 debtcollector>=1.2.0 # Apache-2.0
+docutils>=0.11

=== debian/changelog ===
python-manilaclient (1.24.1-2) unstable; urgency=medium

  [ Ondřej Nový ]
  * Use 'python3 -m sphinx' instead of sphinx-build for building docs

  [ Thomas Goirand ]
  * Uploading to unstable.

 -- Thomas Goirand <zigo@debian.org>  Wed, 05 Sep 2018 00:02:48 +0200

python-manilaclient (1.24.1-1) experimental; urgency=medium

  [ Ondřej Nový ]
  * d/control: Use team+openstack@tracker.debian.org as maintainer

  [ Thomas Goirand ]
  * New upstream release.
  * Fixed (build-)depends for this release.
  * Using Python3 to build sphinx doc.
  * Add skip-tests.patch taken from Ubuntu.
  * Add remove-clidoc-sphinx-extension.patch.

 -- Thomas Goirand <zigo@debian.org>  Wed, 22 Aug 2018 10:27:35 +0200

python-manilaclient (1.21.0-4) unstable; urgency=medium

  * Fix python3 shebang.

 -- Thomas Goirand <zigo@debian.org>  Sun, 18 Mar 2018 18:21:35 +0000

python-manilaclient (1.21.0-3) unstable; urgency=medium

  * Python 3 has now priority over Python 2.

 -- Thomas Goirand <zigo@debian.org>  Sun, 11 Mar 2018 13:10:04 +0100

python-manilaclient (1.21.0-2) unstable; urgency=medium

  * Uploading to unstable.

 -- Thomas Goirand <zigo@debian.org>  Sun, 25 Feb 2018 21:53:30 +0000

python-manilaclient (1.21.0-1) experimental; urgency=medium

  [ Ondřej Nový ]
  * d/control: Set Vcs-* to salsa.debian.org

  [ Thomas Goirand ]
  * New upstream release.
  * Fixed (build-)depends for this release.
  * Standards-Version is now 4.1.3.
  * Using github tag for watch file.

 -- Thomas Goirand <zigo@debian.org>  Tue, 13 Feb 2018 14:12:12 +0000

python-manilaclient (1.17.2-2) unstable; urgency=medium

  * Uploading to unstable.

 -- Thomas Goirand <zigo@debian.org>  Thu, 02 Nov 2017 00:06:06 +0000

python-manilaclient (1.17.2-1) experimental; urgency=medium

  [ Ondřej Nový ]
  * Standards-Version is 3.9.8 now (no change)

  [ Daniel Baumann ]
  * Updating vcs fields.
  * Updating copyright format url.
  * Running wrap-and-sort -bast.
  * Updating maintainer field.
  * Updating standards version to 4.0.0.
  * Removing gbp.conf, not used anymore or should be specified in the
    developers dotfiles.
  * Correcting permissions in debian packaging files.
  * Updating standards version to 4.0.1.
  * Deprecating priority extra as per policy 4.0.1.
  * Updating standards version to 4.1.0.

  [ Thomas Goirand ]
  * New upstream release.
  * Fixed (build-)depends for this release.
  * Using pkgos-dh_auto_{install,test}.

 -- Thomas Goirand <zigo@debian.org>  Wed, 04 Oct 2017 21:03:48 +0200

=== debian/control ===
Source: python-manilaclient
Section: python
Priority: optional
Maintainer: Debian OpenStack <team+openstack@tracker.debian.org>
Uploaders:
 Thomas Goirand <zigo@debian.org>,
 David Della Vecchia <ddv@canonical.com>,
 Corey Bryant <corey.bryant@canonical.com>,
Build-Depends:
 debhelper (>= 10),
 dh-python,
 openstack-pkg-tools,
 python-all,
 python-pbr (>= 2.0.0),
 python-setuptools,
 python3-all,
 python3-pbr (>= 2.0.0),
 python3-setuptools,
 python3-sphinx (>= 1.6.2),
Build-Depends-Indep:
 python-babel,
 python-coverage,
 python-crypto,
 python-ddt (>= 1.0.1),
 python-debtcollector,
 python-docutils,
 python-fixtures,
 python-hacking,
 python-ipaddress,
 python-iso8601,
 python-keystoneclient (>= 1:3.8.0),
 python-mock,
 python-openstackclient (>= 3.12.0),
 python-os-testr (>= 1.0.0),
 python-oslo.config (>= 1:5.2.0),
 python-oslo.log (>= 3.36.0),
 python-oslo.serialization (>= 2.18.0),
 python-oslo.utils (>= 3.33.0),
 python-oslotest (>= 1.10.0),
 python-prettytable,
 python-requests (>= 2.14.2),
 python-simplejson,
 python-six,
 python-stestr,
 python-tempest (>= 1:17.1.0),
 python-testtools (>= 2.2.0),
 python3-babel,
 python3-crypto,
 python3-ddt (>= 1.0.1),
 python3-debtcollector,
 python3-docutils,
 python3-fixtures,
 python3-iso8601,
 python3-keystoneclient (>= 1:3.8.0),
 python3-mock,
 python3-openstackclient (>= 3.12.0),
 python3-openstackdocstheme (>= 1.18.1),
 python3-os-testr (>= 1.0.0),
 python3-oslo.config (>= 1:5.2.0),
 python3-oslo.log (>= 3.36.0),
 python3-oslo.serialization (>= 2.18.0),
 python3-oslo.utils (>= 3.33.0),
 python3-oslotest (>= 1.10.0),
 python3-prettytable,
 python3-requests (>= 2.14.2),
 python3-simplejson,
 python3-six,
 python3-stestr,
 python3-tempest (>= 1:17.1.0),
 python3-testtools (>= 2.2.0),
 subunit,
Standards-Version: 4.1.3
Vcs-Git: https://salsa.debian.org/openstack-team/clients/python-manilaclient.git
Vcs-Browser: https://salsa.debian.org/openstack-team/clients/python-manilaclient
Homepage: https://github.com/openstack/python-manilaclient

Package: python-manilaclient
Architecture: all
Depends:
 python-babel,
 python-crypto,
 python-debtcollector,
 python-docutils,
 python-ipaddress,
 python-iso8601,
 python-keystoneclient (>= 1:3.8.0),
 python-oslo.config (>= 1:5.2.0),
 python-oslo.log (>= 3.36.0),
 python-oslo.serialization (>= 2.18.0),
 python-oslo.utils (>= 3.33.0),
 python-pbr (>= 2.0.0),
 python-prettytable,
 python-requests (>= 2.14.2),
 python-simplejson,
 python-six,
 ${misc:Depends},
 ${python:Depends},
Description: OpenStack shared file system as a service - Python 2.7 client
 Manila is an OpenStack project to provide Shared Filesystems as a service.
 It provides coordinated access to shared or distributed file systems. While
 the primary consumption of file shares would be across OpenStack Compute
 instances, the service is also intended to be accessible as an independent
 capability in line with the modular design established by other OpenStack
 services. Manila is extensible for multiple backends (to support vendor or
 file system specific nuances / capabilities) and accommodates any of a
 variety of shared or distributed file system types.
 .
 This package contains the Python client library and command line tool for
 Manila and for Python 2.7.

Package: python-manilaclient-doc
Section: doc
Architecture: all
Depends:
 ${misc:Depends},
 ${sphinxdoc:Depends},
Description: OpenStack shared file system as a service - client doc
 Manila is an OpenStack project to provide Shared Filesystems as a service.
 It provides coordinated access to shared or distributed file systems. While
 the primary consumption of file shares would be across OpenStack Compute
 instances, the service is also intended to be accessible as an independent
 capability in line with the modular design established by other OpenStack
 services. Manila is extensible for multiple backends (to support vendor or
 file system specific nuances / capabilities) and accommodates any of a
 variety of shared or distributed file system types.
 .
 This package contains the Python client library and command line tool
 documentation.

Package: python3-manilaclient
Architecture: all
Depends:
 python3-babel,
 python3-crypto,
 python3-debtcollector,
 python3-docutils,
 python3-iso8601,
 python3-keystoneclient (>= 1:3.8.0),
 python3-oslo.config (>= 1:5.2.0),
 python3-oslo.log (>= 3.36.0),
 python3-oslo.serialization (>= 2.18.0),
 python3-oslo.utils (>= 3.33.0),
 python3-pbr (>= 2.0.0),
 python3-prettytable,
 python3-requests (>= 2.14.2),
 python3-simplejson,
 python3-six,
 ${misc:Depends},
 ${python3:Depends},
Description: OpenStack shared file system as a service - Python 3.x client
 Manila is an OpenStack project to provide Shared Filesystems as a service.
 It provides coordinated access to shared or distributed file systems. While
 the primary consumption of file shares would be across OpenStack Compute
 instances, the service is also intended to be accessible as an independent
 capability in line with the modular design established by other OpenStack
 services. Manila is extensible for multiple backends (to support vendor or
 file system specific nuances / capabilities) and accommodates any of a
 variety of shared or distributed file system types.
 .
 This package contains the Python client library and command line tool for
 Manila and for Python 3.x.

=== debian/rules ===
--- 
+++ 
@@ -9,9 +9,6 @@
 	pkgos-dh_auto_install
 	install -D -m 0644 tools/manila.bash_completion $(CURDIR)/debian/python-manilaclient-doc/usr/share/bash-completion/completions/manila.bash_completion
 
-override_dh_python3:
-	dh_python3 --shebang=/usr/bin/python3
-
 override_dh_auto_test:
 ifeq (,$(findstring nocheck, $(DEB_BUILD_OPTIONS)))
 	pkgos-dh_auto_test
@@ -21,16 +18,19 @@
 	rm -rf build doc/man .testrepository
 
 override_dh_sphinxdoc:
-ifeq (,$(findstring nodocs, $(DEB_BUILD_OPTIONS)))
-	sphinx-build -b html doc/source $(CURDIR)/debian/python-manilaclient-doc/usr/share/doc/python-manilaclient-doc/html
-	dh_sphinxdoc -O--buildsystem=python_distutils
+ifeq (,$(findstring nodoc, $(DEB_BUILD_OPTIONS)))
+	PYTHONPATH=. python3 -m sphinx -b html doc/source $(CURDIR)/debian/python-manilaclient-doc/usr/share/doc/python-manilaclient-doc/html
+	dh_sphinxdoc
 endif
 
 override_dh_installman:
 ifeq (,$(findstring nodocs, $(DEB_BUILD_OPTIONS)))
-	sphinx-build -b man doc/source/ doc/man
-	dh_installman -O--buildsystem=python_distutils
+	python3 -m sphinx -b man doc/source/ doc/man
+	dh_installman
 endif
+
+override_dh_python3:
+	dh_python3 --shebang=/usr/bin/python3
 
 # Commands not to run
 override_dh_installcatalogs:

=== debian/watch ===
version=3
opts="uversionmangle=s/\.(b|rc)/~$1/" \
https://github.com/openstack/python-manilaclient/tags .*/(\d[\d\.]+)\.tar\.gz

## python-manilaclient 1.27.0

=== debian/changelog ===
python-manilaclient (1.27.0-2) unstable; urgency=medium

  * Uploading to unstable.

 -- Thomas Goirand <zigo@debian.org>  Wed, 17 Jul 2019 05:26:05 +0200

python-manilaclient (1.27.0-1) experimental; urgency=medium

  * New upstream release.
  * Removed Python 2 support.
  * Removed all Debian patches, not relevant anymore.

 -- Thomas Goirand <zigo@debian.org>  Sat, 23 Mar 2019 09:08:02 +0100

=== debian/control ===
Source: python-manilaclient
Section: python
Priority: optional
Maintainer: Debian OpenStack <team+openstack@tracker.debian.org>
Uploaders:
 Thomas Goirand <zigo@debian.org>,
 David Della Vecchia <ddv@canonical.com>,
 Corey Bryant <corey.bryant@canonical.com>,
Build-Depends:
 debhelper (>= 10),
 dh-python,
 openstack-pkg-tools,
 python3-all,
 python3-pbr,
 python3-setuptools,
 python3-sphinx,
Build-Depends-Indep:
 python3-babel,
 python3-coverage,
 python3-crypto,
 python3-ddt,
 python3-debtcollector,
 python3-docutils,
 python3-fixtures,
 python3-hacking,
 python3-iso8601,
 python3-keystoneclient,
 python3-mock,
 python3-openstackclient,
 python3-openstackdocstheme,
 python3-os-testr,
 python3-oslo.config,
 python3-oslo.log,
 python3-oslo.serialization,
 python3-oslo.utils,
 python3-oslotest,
 python3-prettytable,
 python3-requests,
 python3-simplejson,
 python3-six,
 python3-sphinxcontrib.programoutput,
 python3-stestr,
 python3-tempest,
 python3-testtools,
 subunit,
Standards-Version: 4.3.0
Vcs-Git: https://salsa.debian.org/openstack-team/clients/python-manilaclient.git
Vcs-Browser: https://salsa.debian.org/openstack-team/clients/python-manilaclient
Homepage: https://github.com/openstack/python-manilaclient

Package: python-manilaclient-doc
Section: doc
Architecture: all
Depends:
 ${misc:Depends},
 ${sphinxdoc:Depends},
Description: OpenStack shared file system as a service - client doc
 Manila is an OpenStack project to provide Shared Filesystems as a service.
 It provides coordinated access to shared or distributed file systems. While
 the primary consumption of file shares would be across OpenStack Compute
 instances, the service is also intended to be accessible as an independent
 capability in line with the modular design established by other OpenStack
 services. Manila is extensible for multiple backends (to support vendor or
 file system specific nuances / capabilities) and accommodates any of a
 variety of shared or distributed file system types.
 .
 This package contains the Python client library and command line tool
 documentation.

Package: python3-manilaclient
Architecture: all
Depends:
 python3-babel,
 python3-crypto,
 python3-debtcollector,
 python3-docutils,
 python3-iso8601,
 python3-keystoneclient,
 python3-oslo.config,
 python3-oslo.log,
 python3-oslo.serialization,
 python3-oslo.utils,
 python3-pbr,
 python3-prettytable,
 python3-requests,
 python3-simplejson,
 python3-six,
 ${misc:Depends},
 ${python3:Depends},
Breaks:
 python-manilaclient,
Replaces:
 python-manilaclient,
Description: OpenStack shared file system as a service - Python 3.x client
 Manila is an OpenStack project to provide Shared Filesystems as a service.
 It provides coordinated access to shared or distributed file systems. While
 the primary consumption of file shares would be across OpenStack Compute
 instances, the service is also intended to be accessible as an independent
 capability in line with the modular design established by other OpenStack
 services. Manila is extensible for multiple backends (to support vendor or
 file system specific nuances / capabilities) and accommodates any of a
 variety of shared or distributed file system types.
 .
 This package contains the Python client library and command line tool for
 Manila and for Python 3.x.

=== debian/rules ===
#!/usr/bin/make -f

include /usr/share/openstack-pkg-tools/pkgos.make

%:
	dh $@ --buildsystem=python_distutils --with python3,sphinxdoc

override_dh_auto_clean:
	rm -rf build doc/man .testrepository

override_dh_auto_build:
	echo "Do nothing..."

override_dh_auto_install:
	pkgos-dh_auto_install --no-py2
	install -D -m 0644 tools/manila.bash_completion $(CURDIR)/debian/python3-manilaclient-doc/usr/share/bash-completion/completions/manila.bash_completion

override_dh_auto_test:
ifeq (,$(findstring nocheck, $(DEB_BUILD_OPTIONS)))
	pkgos-dh_auto_test --no-py2
endif

override_dh_sphinxdoc:
ifeq (,$(findstring nodoc, $(DEB_BUILD_OPTIONS)))
	PYTHONPATH=. python3 -m sphinx -b html doc/source $(CURDIR)/debian/python-manilaclient-doc/usr/share/doc/python-manilaclient-doc/html
	dh_sphinxdoc
endif

override_dh_installman:
ifeq (,$(findstring nodocs, $(DEB_BUILD_OPTIONS)))
	python3 -m sphinx -b man doc/source/ doc/man
	dh_installman
endif

override_dh_python3:
	dh_python3 --shebang=/usr/bin/python3

## python-manilaclient 1.29.0

=== debian/changelog ===
python-manilaclient (1.29.0-3) unstable; urgency=medium

  * Make python-manilaclient reproducible (Closes: #932365).

 -- Thomas Goirand <zigo@debian.org>  Fri, 03 Jan 2020 11:32:21 +0100

python-manilaclient (1.29.0-2) unstable; urgency=medium

  [ Ondřej Nový ]
  * Bump Standards-Version to 4.4.1.

  [ Thomas Goirand ]
  * Uploading to unstable.

 -- Thomas Goirand <zigo@debian.org>  Mon, 21 Oct 2019 01:33:34 +0200

python-manilaclient (1.29.0-1) experimental; urgency=medium

  [ Ondřej Nový ]
  * Use debhelper-compat instead of debian/compat.
  * Bump Standards-Version to 4.4.0.

  [ Thomas Goirand ]
  * New upstream release.

 -- Thomas Goirand <zigo@debian.org>  Mon, 16 Sep 2019 23:57:40 +0200

=== debian/control ===
--- 
+++ 
@@ -7,7 +7,7 @@
  David Della Vecchia <ddv@canonical.com>,
  Corey Bryant <corey.bryant@canonical.com>,
 Build-Depends:
- debhelper (>= 10),
+ debhelper-compat (= 10),
  dh-python,
  openstack-pkg-tools,
  python3-all,
@@ -43,7 +43,7 @@
  python3-tempest,
  python3-testtools,
  subunit,
-Standards-Version: 4.3.0
+Standards-Version: 4.4.1
 Vcs-Git: https://salsa.debian.org/openstack-team/clients/python-manilaclient.git
 Vcs-Browser: https://salsa.debian.org/openstack-team/clients/python-manilaclient
 Homepage: https://github.com/openstack/python-manilaclient

## python-manilaclient 2.0.0

=== debian/changelog ===
python-manilaclient (2.0.0-0ubuntu1) focal; urgency=medium

  * New upstream release for OpenStack Ussuri.
  * d/control: Align (Build-)Depends with upstream.
  * d/rules: Switch to pybuild.

 -- Corey Bryant <corey.bryant@canonical.com>  Thu, 12 Mar 2020 10:13:01 -0400

python-manilaclient (1.29.0-0ubuntu1) eoan; urgency=medium

  * New upstream release for OpenStack Train.

 -- Corey Bryant <corey.bryant@canonical.com>  Wed, 25 Sep 2019 14:10:31 -0400

python-manilaclient (1.27.0-0ubuntu3) eoan; urgency=medium

  * d/control: Fix BD's on python-* packages for Bionic Train.

 -- Sahid Orentino Ferdjaoui <sahid.ferdjaoui@canonical.com>  Fri, 12 Jul 2019 14:36:48 +0200

python-manilaclient (1.27.0-0ubuntu2) eoan; urgency=medium

  * d/rules: Tweak to stop build and install of Python 2 parts.
  * d/*.postinst,prerm,postrm: Drop, alternatives no longer needed.
  * d/control: Drop BDI's on python-* packages.
  * d/control: Drop python-manilaclient binary package.

 -- Sahid Orentino Ferdjaoui <sahid.ferdjaoui@canonical.com>  Thu, 11 Jul 2019 15:14:13 +0100

python-manilaclient (1.27.0-0ubuntu1) disco; urgency=medium

  * New upstream release for OpenStack Stein.

 -- Corey Bryant <corey.bryant@canonical.com>  Mon, 11 Mar 2019 15:36:11 -0400

python-manilaclient (1.26.0-0ubuntu1) disco; urgency=medium

  * New upstream release for OpenStack Stein.
  * d/control: Align (Build-)Depends with upstream.

 -- Corey Bryant <corey.bryant@canonical.com>  Wed, 30 Jan 2019 10:15:33 -0500

python-manilaclient (1.25.0-0ubuntu1) disco; urgency=medium

  * New upstream release for OpenStack Stein.
  * d/control: Align (Build-)Depends with upstream.
  * d/p/skip-tests.patch: Dropped. No longer needed.

 -- Corey Bryant <corey.bryant@canonical.com>  Wed, 14 Nov 2018 13:35:19 -0500

python-manilaclient (1.24.1-0ubuntu1) cosmic; urgency=medium

  * New upstream release.
  * d/p/skip-tests.patch: Rebased.

 -- Corey Bryant <corey.bryant@canonical.com>  Wed, 29 Aug 2018 16:19:18 -0400

python-manilaclient (1.23.0-0ubuntu1) cosmic; urgency=low

  * Merge from Debian unstable.  Remaining changes:
    - d/gbp.conf: Retain for pristine-tar.
    - d/control: Enable autopkgtest-pkg-python testsuite.
    - d/watch: Get tarball from tarballs.openstack.org.
    - d/p/skip-tests.patch: Updated with failing Py3.7 tests.
    - d/control: Switch back to py2 for building documentation until
      the following bug is resolved: https://bugs.launchpad.net/bugs/1785297
  * New upstream release for OpenStack Rocky.
  * d/control: Align (Build-)Depends with upstream.
  * d/p/skip-tests.patch: Updated with more failing Py3.7 tests.

 -- Corey Bryant <corey.bryant@canonical.com>  Fri, 03 Aug 2018 14:36:40 -0400

## python-manilaclient 2.1.0

=== requirements.txt ===
--- 
+++ 
@@ -5,7 +5,6 @@
 # pbr should be first
 pbr!=2.1.0,>=2.0.0 # Apache-2.0
 
-ipaddress>=1.0.17;python_version<'3.3' # PSF
 oslo.config>=5.2.0 # Apache-2.0
 oslo.log>=3.36.0 # Apache-2.0
 oslo.serialization!=2.19.1,>=2.18.0 # Apache-2.0
@@ -15,6 +14,6 @@
 simplejson>=3.5.1 # MIT
 Babel!=2.4.0,>=2.3.4 # BSD
 six>=1.10.0 # MIT
+osc-lib>=1.10.0 # Apache-2.0
 python-keystoneclient>=3.8.0 # Apache-2.0
 debtcollector>=1.2.0 # Apache-2.0
-docutils>=0.11

=== doc/requirements.txt ===
# The order of packages is significant, because pip processes them in the order
# of appearance. Changing the order has an impact on the overall integration
# process, which may cause wedges in the gate later.
openstackdocstheme>=1.32.1 # Apache-2.0
sphinx!=1.6.6,!=1.6.7,>=1.6.2,!=2.1.0  # BSD
reno>=2.5.0 # Apache-2.0
sphinxcontrib-programoutput>=0.11  # BSD

=== debian/changelog ===
python-manilaclient (2.1.0-0ubuntu1) focal; urgency=medium

  * New upstream release for OpenStack Ussuri.

 -- Corey Bryant <corey.bryant@canonical.com>  Thu, 16 Apr 2020 10:50:15 -0400

=== debian/control ===
Source: python-manilaclient
Section: python
Priority: optional
Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
XSBC-Original-Maintainer: Debian OpenStack <openstack-devel@lists.alioth.debian.org>
Uploaders:
 Thomas Goirand <zigo@debian.org>,
 David Della Vecchia <ddv@canonical.com>,
 Corey Bryant <corey.bryant@canonical.com>,
Build-Depends:
 debhelper (>= 10),
 dh-python,
 openstack-pkg-tools (>= 52~),
 python3-all,
 python3-pbr (>= 2.0.0),
 python3-setuptools,
 python3-sphinx (>= 1.6.2),
Build-Depends-Indep:
 python3-babel (>= 2.3.4),
 python3-coverage (>= 4.0),
 python3-ddt (>= 1.0.1),
 python3-debtcollector (>= 1.2.0),
 python3-docutils (>= 0.11),
 python3-fixtures (>= 3.0.0),
 python3-hacking (>= 0.12.0),
 python3-keystoneclient (>= 1:3.8.0),
 python3-mock (>= 2.0.0),
 python3-openstackclient (>= 3.12.0),
 python3-openstackdocstheme (>= 1.18.1),
 python3-os-testr (>= 1.0.0),
 python3-osc-lib (>= 1.10.0),
 python3-oslo.config (>= 1:5.2.0),
 python3-oslo.log (>= 3.36.0),
 python3-oslo.serialization (>= 2.18.0),
 python3-oslo.utils (>= 3.33.0),
 python3-oslotest (>= 1:1.10.0),
 python3-prettytable (>= 0.7.1),
 python3-reno (>= 2.5.0),
 python3-requests (>= 2.14.2),
 python3-simplejson (>= 3.5.1),
 python3-six (>= 1.10.0),
 python3-sphinxcontrib.programoutput (>= 0.11),
 python3-subunit,
 python3-tempest (>= 1:17.1.0),
 python3-testrepository (>= 0.0.18),
 python3-testtools (>= 2.2.0),
Standards-Version: 4.1.3
Vcs-Git: https://git.launchpad.net/~ubuntu-server-dev/ubuntu/+source/python-manilaclient
Vcs-Browser: https://git.launchpad.net/~ubuntu-server-dev/ubuntu/+source/python-manilaclient
Homepage: https://github.com/openstack/python-manilaclient
Testsuite: autopkgtest-pkg-python

Package: python-manilaclient-doc
Section: doc
Architecture: all
Depends:
 ${misc:Depends},
 ${sphinxdoc:Depends},
Description: OpenStack shared file system as a service - client doc
 Manila is an OpenStack project to provide Shared Filesystems as a service.
 It provides coordinated access to shared or distributed file systems. While
 the primary consumption of file shares would be across OpenStack Compute
 instances, the service is also intended to be accessible as an independent
 capability in line with the modular design established by other OpenStack
 services. Manila is extensible for multiple backends (to support vendor or
 file system specific nuances / capabilities) and accommodates any of a
 variety of shared or distributed file system types.
 .
 This package contains the Python client library and command line tool
 documentation.

Package: python3-manilaclient
Architecture: all
Depends:
 python3-babel (>= 2.3.4),
 python3-crypto,
 python3-debtcollector (>= 1.2.0),
 python3-iso8601,
 python3-keystoneclient (>= 1:3.8.0),
 python3-osc-lib (>= 1.10.0),
 python3-oslo.config (>= 1:5.2.0),
 python3-oslo.log (>= 3.36.0),
 python3-oslo.serialization (>= 2.18.0),
 python3-oslo.utils (>= 3.33.0),
 python3-pbr (>= 2.0.0),
 python3-prettytable (>= 0.7.1),
 python3-requests (>= 2.14.2),
 python3-simplejson (>= 3.5.1),
 python3-six (>= 1.10.0),
 ${misc:Depends},
 ${python3:Depends},
Description: OpenStack shared file system as a service - Python 3.x client
 Manila is an OpenStack project to provide Shared Filesystems as a service.
 It provides coordinated access to shared or distributed file systems. While
 the primary consumption of file shares would be across OpenStack Compute
 instances, the service is also intended to be accessible as an independent
 capability in line with the modular design established by other OpenStack
 services. Manila is extensible for multiple backends (to support vendor or
 file system specific nuances / capabilities) and accommodates any of a
 variety of shared or distributed file system types.
 .
 This package contains the Python client library and command line tool for
 Manila and for Python 3.x.

=== debian/rules ===
#!/usr/bin/make -f

export PYBUILD_NAME=python-manilaclient

include /usr/share/openstack-pkg-tools/pkgos.make

%:
	dh $@ --buildsystem=pybuild --with python3,sphinxdoc

override_dh_auto_install:
	pkgos-dh_auto_install --no-py2
	install -D -m 0644 tools/manila.bash_completion $(CURDIR)/debian/python-manilaclient-doc/usr/share/bash-completion/completions/manila.bash_completion

override_dh_auto_test:
ifeq (,$(findstring nocheck, $(DEB_BUILD_OPTIONS)))
	pkgos-dh_auto_test  --no-py2
endif

override_dh_auto_clean:
	rm -rf build doc/man .testrepository

override_dh_sphinxdoc:
ifeq (,$(findstring nodoc, $(DEB_BUILD_OPTIONS)))
	sphinx-build -b html doc/source $(CURDIR)/debian/python-manilaclient-doc/usr/share/doc/python-manilaclient-doc/html
	dh_sphinxdoc
endif

override_dh_installman:
ifeq (,$(findstring nodocs, $(DEB_BUILD_OPTIONS)))
	sphinx-build -b man doc/source/ doc/man
	dh_installman
endif

override_dh_python3:
	dh_python3 --shebang=/usr/bin/python3

# Commands not to run
override_dh_installcatalogs:
override_dh_installemacsen override_dh_installifupdown:
override_dh_installinfo override_dh_installmenu override_dh_installmime:
override_dh_installmodules override_dh_installlogcheck:
override_dh_installpam override_dh_installppp override_dh_installudev override_dh_installwm:
override_dh_installxfonts override_dh_gconf override_dh_icons override_dh_perl override_dh_usrlocal:
override_dh_installcron override_dh_installdebconf:
override_dh_installlogrotate override_dh_installgsettings:

## python-manilaclient 2.3.0

=== debian/changelog ===
python-manilaclient (2.3.0-3) unstable; urgency=medium

  * Removed python3-crypto from (build-)depends (Closes: #971301).

 -- Thomas Goirand <zigo@debian.org>  Sun, 22 Nov 2020 12:25:56 +0100

python-manilaclient (2.3.0-2) unstable; urgency=medium

  * Uploading to unstable.
  * Fixed debian/watch.
  * Add a debian/salsa-ci.yml.

 -- Thomas Goirand <zigo@debian.org>  Fri, 16 Oct 2020 16:15:55 +0200

python-manilaclient (2.3.0-1) experimental; urgency=medium

  * New upstream release.

 -- Thomas Goirand <zigo@debian.org>  Sun, 13 Sep 2020 10:38:50 +0200

python-manilaclient (2.1.0-2) unstable; urgency=medium

  * Uploading to unstable.

 -- Thomas Goirand <zigo@debian.org>  Fri, 08 May 2020 23:16:36 +0200

python-manilaclient (2.1.0-1) experimental; urgency=medium

  * New upstream release.
  * Fixed (build-)depends for this release.

 -- Thomas Goirand <zigo@debian.org>  Fri, 10 Apr 2020 23:51:47 +0200

=== debian/control ===
Source: python-manilaclient
Section: python
Priority: optional
Maintainer: Debian OpenStack <team+openstack@tracker.debian.org>
Uploaders:
 Thomas Goirand <zigo@debian.org>,
 David Della Vecchia <ddv@canonical.com>,
 Corey Bryant <corey.bryant@canonical.com>,
Build-Depends:
 debhelper-compat (= 10),
 dh-python,
 openstack-pkg-tools,
 python3-all,
 python3-pbr,
 python3-setuptools,
 python3-sphinx,
Build-Depends-Indep:
 python3-babel,
 python3-coverage,
 python3-ddt,
 python3-debtcollector,
 python3-docutils,
 python3-fixtures,
 python3-hacking,
 python3-iso8601,
 python3-keystoneclient,
 python3-mock,
 python3-openstackclient,
 python3-openstackdocstheme,
 python3-os-testr,
 python3-osc-lib,
 python3-oslo.config,
 python3-oslo.log,
 python3-oslo.serialization,
 python3-oslo.utils,
 python3-oslotest,
 python3-prettytable,
 python3-requests,
 python3-simplejson,
 python3-six,
 python3-sphinxcontrib.programoutput,
 python3-stestr,
 python3-tempest,
 python3-testtools,
 subunit,
Standards-Version: 4.4.1
Vcs-Git: https://salsa.debian.org/openstack-team/clients/python-manilaclient.git
Vcs-Browser: https://salsa.debian.org/openstack-team/clients/python-manilaclient
Homepage: https://github.com/openstack/python-manilaclient

Package: python-manilaclient-doc
Section: doc
Architecture: all
Depends:
 ${misc:Depends},
 ${sphinxdoc:Depends},
Description: OpenStack shared file system as a service - client doc
 Manila is an OpenStack project to provide Shared Filesystems as a service.
 It provides coordinated access to shared or distributed file systems. While
 the primary consumption of file shares would be across OpenStack Compute
 instances, the service is also intended to be accessible as an independent
 capability in line with the modular design established by other OpenStack
 services. Manila is extensible for multiple backends (to support vendor or
 file system specific nuances / capabilities) and accommodates any of a
 variety of shared or distributed file system types.
 .
 This package contains the Python client library and command line tool
 documentation.

Package: python3-manilaclient
Architecture: all
Depends:
 python3-babel,
 python3-debtcollector,
 python3-docutils,
 python3-iso8601,
 python3-keystoneclient,
 python3-osc-lib,
 python3-oslo.config,
 python3-oslo.log,
 python3-oslo.serialization,
 python3-oslo.utils,
 python3-pbr,
 python3-prettytable,
 python3-requests,
 python3-simplejson,
 python3-six,
 ${misc:Depends},
 ${python3:Depends},
Breaks:
 python-manilaclient,
Replaces:
 python-manilaclient,
Description: OpenStack shared file system as a service - Python 3.x client
 Manila is an OpenStack project to provide Shared Filesystems as a service.
 It provides coordinated access to shared or distributed file systems. While
 the primary consumption of file shares would be across OpenStack Compute
 instances, the service is also intended to be accessible as an independent
 capability in line with the modular design established by other OpenStack
 services. Manila is extensible for multiple backends (to support vendor or
 file system specific nuances / capabilities) and accommodates any of a
 variety of shared or distributed file system types.
 .
 This package contains the Python client library and command line tool for
 Manila and for Python 3.x.

=== debian/rules ===
#!/usr/bin/make -f

include /usr/share/openstack-pkg-tools/pkgos.make

%:
	dh $@ --buildsystem=python_distutils --with python3,sphinxdoc

override_dh_auto_clean:
	rm -rf build doc/man .testrepository

override_dh_auto_build:
	echo "Do nothing..."

override_dh_auto_install:
	pkgos-dh_auto_install --no-py2
	install -D -m 0644 tools/manila.bash_completion $(CURDIR)/debian/python3-manilaclient-doc/usr/share/bash-completion/completions/manila.bash_completion

override_dh_auto_test:
ifeq (,$(findstring nocheck, $(DEB_BUILD_OPTIONS)))
	pkgos-dh_auto_test --no-py2
endif

override_dh_sphinxdoc:
ifeq (,$(findstring nodoc, $(DEB_BUILD_OPTIONS)))
	PATH=$$PATH:$(CURDIR)/debian/python3-manilaclient/usr/bin PYTHONPATH=$(CURDIR) python3 -m sphinx -b html doc/source $(CURDIR)/debian/python-manilaclient-doc/usr/share/doc/python-manilaclient-doc/html
	dh_sphinxdoc
endif

override_dh_installman:
ifeq (,$(findstring nodocs, $(DEB_BUILD_OPTIONS)))
	python3 -m sphinx -b man doc/source/ doc/man
	dh_installman
endif

override_dh_python3:
	dh_python3 --shebang=/usr/bin/python3

## python-manilaclient 2.3.2

=== debian/changelog ===
python-manilaclient (2.3.2-1~bpo11+1) UNRELEASED; urgency=medium

  [ Thomas Goirand ]
  * Correctly install bash-completion script.
  * New upstream release.

  [ Jenkins ]
  * Rebuilt by bop.

 -- Jenkins <jenkins@bullseye-victoria.infomaniak.ch>  Mon, 08 Aug 2022 09:12:38 +0000

=== debian/control ===
--- 
+++ 
@@ -91,6 +91,8 @@
  python-manilaclient,
 Replaces:
  python-manilaclient,
+Recommends:
+ python-manilaclient-doc,
 Description: OpenStack shared file system as a service - Python 3.x client
  Manila is an OpenStack project to provide Shared Filesystems as a service.
  It provides coordinated access to shared or distributed file systems. While

## python-manilaclient 2.6.0

=== debian/changelog ===
python-manilaclient (2.6.0-0ubuntu1) hirsute; urgency=medium

  * New upstream release for OpenStack Wallaby.

 -- Corey Bryant <corey.bryant@canonical.com>  Mon, 12 Apr 2021 15:25:59 -0400

python-manilaclient (2.5.0-0ubuntu1) hirsute; urgency=medium

  * New upstream release for OpenStack Wallaby.

 -- Chris MacNaughton <chris.macnaughton@ubuntu.com>  Thu, 18 Mar 2021 10:24:25 +0000

python-manilaclient (2.4.0-0ubuntu1) hirsute; urgency=medium

  * d/control: Update VCS paths for move to lp:~ubuntu-openstack-dev.
  * New upstream release for OpenStack Wallaby.

 -- Chris MacNaughton <chris.macnaughton@ubuntu.com>  Fri, 04 Dec 2020 14:23:20 +0000

python-manilaclient (2.3.0-0ubuntu1) groovy; urgency=medium

  * New upstream release for OpenStack Victoria.

 -- Corey Bryant <corey.bryant@canonical.com>  Fri, 18 Sep 2020 12:31:19 -0400

python-manilaclient (2.2.0-0ubuntu1) groovy; urgency=medium

  * New upstream release for OpenStack Victoria.
  * d/control: Align (Build-)Depends with upstream.

 -- Chris MacNaughton <chris.macnaughton@canonical.com>  Fri, 24 Jul 2020 12:05:20 +0000

=== debian/control ===
Source: python-manilaclient
Section: python
Priority: optional
Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
XSBC-Original-Maintainer: Debian OpenStack <openstack-devel@lists.alioth.debian.org>
Uploaders:
 Thomas Goirand <zigo@debian.org>,
 David Della Vecchia <ddv@canonical.com>,
 Corey Bryant <corey.bryant@canonical.com>,
Build-Depends:
 debhelper (>= 10),
 dh-python,
 openstack-pkg-tools (>= 52~),
 python3-all,
 python3-pbr (>= 2.0.0),
 python3-setuptools,
 python3-sphinx (>= 2.0.0),
Build-Depends-Indep:
 python3-babel (>= 2.3.4),
 python3-coverage (>= 4.0),
 python3-ddt (>= 1.0.1),
 python3-debtcollector (>= 1.2.0),
 python3-docutils (>= 0.11),
 python3-fixtures (>= 3.0.0),
 python3-hacking (>= 0.12.0),
 python3-keystoneclient (>= 1:3.8.0),
 python3-mock (>= 2.0.0),
 python3-openstackclient (>= 3.12.0),
 python3-openstackdocstheme (>= 2.2.1),
 python3-os-testr (>= 1.0.0),
 python3-osc-lib (>= 1.10.0),
 python3-oslo.config (>= 1:5.2.0),
 python3-oslo.log (>= 3.36.0),
 python3-oslo.serialization (>= 2.18.0),
 python3-oslo.utils (>= 3.33.0),
 python3-oslotest (>= 1:1.10.0),
 python3-prettytable (>= 0.7.1),
 python3-reno (>= 2.5.0),
 python3-requests (>= 2.14.2),
 python3-simplejson (>= 3.5.1),
 python3-six (>= 1.10.0),
 python3-sphinxcontrib.programoutput (>= 0.11),
 python3-subunit,
 python3-tempest (>= 1:17.1.0),
 python3-testrepository (>= 0.0.18),
 python3-testtools (>= 2.2.0),
Standards-Version: 4.1.3
Vcs-Git: https://git.launchpad.net/~ubuntu-openstack-dev/ubuntu/+source/python-manilaclient
Vcs-Browser: https://git.launchpad.net/~ubuntu-openstack-dev/ubuntu/+source/python-manilaclient
Homepage: https://github.com/openstack/python-manilaclient
Testsuite: autopkgtest-pkg-python

Package: python-manilaclient-doc
Section: doc
Architecture: all
Depends:
 ${misc:Depends},
 ${sphinxdoc:Depends},
Description: OpenStack shared file system as a service - client doc
 Manila is an OpenStack project to provide Shared Filesystems as a service.
 It provides coordinated access to shared or distributed file systems. While
 the primary consumption of file shares would be across OpenStack Compute
 instances, the service is also intended to be accessible as an independent
 capability in line with the modular design established by other OpenStack
 services. Manila is extensible for multiple backends (to support vendor or
 file system specific nuances / capabilities) and accommodates any of a
 variety of shared or distributed file system types.
 .
 This package contains the Python client library and command line tool
 documentation.

Package: python3-manilaclient
Architecture: all
Depends:
 python3-babel (>= 2.3.4),
 python3-crypto,
 python3-debtcollector (>= 1.2.0),
 python3-iso8601,
 python3-keystoneclient (>= 1:3.8.0),
 python3-osc-lib (>= 1.10.0),
 python3-oslo.config (>= 1:5.2.0),
 python3-oslo.log (>= 3.36.0),
 python3-oslo.serialization (>= 2.18.0),
 python3-oslo.utils (>= 3.33.0),
 python3-pbr (>= 2.0.0),
 python3-prettytable (>= 0.7.1),
 python3-requests (>= 2.14.2),
 python3-simplejson (>= 3.5.1),
 python3-six (>= 1.10.0),
 ${misc:Depends},
 ${python3:Depends},
Description: OpenStack shared file system as a service - Python 3.x client
 Manila is an OpenStack project to provide Shared Filesystems as a service.
 It provides coordinated access to shared or distributed file systems. While
 the primary consumption of file shares would be across OpenStack Compute
 instances, the service is also intended to be accessible as an independent
 capability in line with the modular design established by other OpenStack
 services. Manila is extensible for multiple backends (to support vendor or
 file system specific nuances / capabilities) and accommodates any of a
 variety of shared or distributed file system types.
 .
 This package contains the Python client library and command line tool for
 Manila and for Python 3.x.

## python-manilaclient 3.0.0

=== debian/changelog ===
python-manilaclient (3.0.0-0ubuntu1~cloud0) focal-xena; urgency=medium

  * New upstream release for the Ubuntu Cloud Archive.

 -- Openstack Ubuntu Testing Bot <openstack-testing-bot@ubuntu.com>  Tue, 07 Sep 2021 20:12:23 +0000

python-manilaclient (3.0.0-0ubuntu1) impish; urgency=medium

  * New upstream release for OpenStack Xena.

 -- Corey Bryant <corey.bryant@canonical.com>  Tue, 07 Sep 2021 15:13:13 -0400

python-manilaclient (2.7.0-0ubuntu1) impish; urgency=medium

  * New upstream release for OpenStack Xena.

 -- Chris MacNaughton <chris.macnaughton@ubuntu.com>  Mon, 07 Jun 2021 13:00:26 +0000
